GNU bug report logs - #36797
[PATCH 08/11] gnu: Add r-flowpeaks.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: zimoun <zimon.toutoune@HIDDEN>; Keywords: patch; merged with #36789, #36790, #36791, #36792, #36793, #36794, #36795, #36796, #36798, #36799, #36800; dated Wed, 24 Jul 2019 18:23:08 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36797 36798 36799 36800. Request was from zimoun <zimon.toutoune@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36797 36798 36799 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36797 36798 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36797 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Jul 2019 18:22:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 24 14:22:34 2019
Received: from localhost ([127.0.0.1]:37995 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqLuL-0005Mc-PM
	for submit <at> debbugs.gnu.org; Wed, 24 Jul 2019 14:22:34 -0400
Received: from lists.gnu.org ([209.51.188.17]:46513)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1hqLuG-0005LT-OL
 for submit <at> debbugs.gnu.org; Wed, 24 Jul 2019 14:22:28 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:41121)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1hqLuF-0003J5-Hb
 for guix-patches@HIDDEN; Wed, 24 Jul 2019 14:22:28 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1hqLuE-0007IU-Gy
 for guix-patches@HIDDEN; Wed, 24 Jul 2019 14:22:27 -0400
Received: from mail-wr1-x436.google.com ([2a00:1450:4864:20::436]:44509)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <zimon.toutoune@HIDDEN>)
 id 1hqLuE-0007HO-B6
 for guix-patches@HIDDEN; Wed, 24 Jul 2019 14:22:26 -0400
Received: by mail-wr1-x436.google.com with SMTP id p17so47980433wrf.11
 for <guix-patches@HIDDEN>; Wed, 24 Jul 2019 11:22:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=4S+Veqfm6npZSUj8Yx0luhGHLFkIFmWE+cqCRUN3qhs=;
 b=iDV2GYp7W51EI4bxEMsoW6UwQkUSpzQUAQVK/aRGqgsvSwg2wpmZthZAX7oR8KsmGl
 z4AT0inmfNoky032YuXIdWTPtN1+pPWFmYQ45t2wwgLNM1zRvgHyxpZDPS2e9ZZXcI6g
 3c/U6t+ibWfcElrnLIWjbi4Nbdv8bMtJQDQTO4L+qanSMRYw3Ws6Kj3AepdrqJPk9gSG
 cy8TR2wFcsWUBNHwNzFd1/Ahy4sKdrVM2s3gMONKaGhDAeAbQfUZXE1xI6nb8wyI/dQb
 PPshM1//9hH0wuHCz+GaTgqcHRNOJuAipKg651xOmpZQ50EPCX4n8D64VhB3uoZmqbZD
 0y9A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=4S+Veqfm6npZSUj8Yx0luhGHLFkIFmWE+cqCRUN3qhs=;
 b=HfJ+GGSef49HFIs51BbECV6+Uj4DJDpA7rpYIMLv71+bqY8n/ZCHLsVpOwn6pjOano
 0SSpDb85/hDHxV1AuV+WvmwNsJz8gHMLFjzveXT81tky2/yOp9R54YAQFPC7C7GfiBvl
 +4GLfB/JGBnCXRDfZHAp/M9foXccaV/038BTNwSUj8nP7lOk0mZmEliNgNbaHV3jJZJT
 3A0FMrDl23l+8iWNali6+mqeuCZuGKVhT8l2u8QJckSEh5+9g6DJPGP035OYFWZcKno8
 BnmYnnZz3Tu0Jo98pa97H9gAvqWbJSNtsMdcgy0Wu60Crk3hTMWmu8Q0KKGE5nPfSlEP
 bOEw==
X-Gm-Message-State: APjAAAV6hjK2MtKmMx2YHzDN3N5qJtEj4ffR9+M/Fz5BsJw/cJ27Y8r6
 0i0GeT9TSniUxM/uIpLGqj7rtFgy
X-Google-Smtp-Source: APXvYqwd+3sdFWK0fNREs4/OvU/T3Ar2hlq3Wx+JFBQIIu/56Bg8qBuTO2LAKV9l8PNSMiKx20e6Zw==
X-Received: by 2002:adf:ea88:: with SMTP id s8mr82370761wrm.68.1563992545301; 
 Wed, 24 Jul 2019 11:22:25 -0700 (PDT)
Received: from pfiuh02.univ-paris-diderot.fr ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id g12sm66116616wrv.9.2019.07.24.11.22.24
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 24 Jul 2019 11:22:24 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 08/11] gnu: Add r-flowpeaks.
Date: Wed, 24 Jul 2019 20:22:01 +0200
Message-Id: <20190724182204.6818-9-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.22.0
In-Reply-To: <20190724182204.6818-1-zimon.toutoune@HIDDEN>
References: <20190724182204.6818-1-zimon.toutoune@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::436
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/bioconductor.scm (r-flowpeaks): New variable.
---
 gnu/packages/bioconductor.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/bioconductor.scm b/gnu/packages/bioconductor.scm
index 0f023665c2..ab4d9f4075 100644
--- a/gnu/packages/bioconductor.scm
+++ b/gnu/packages/bioconductor.scm
@@ -4907,3 +4907,26 @@ and to both short and long sequence reads.")
     (description
       "Identifies cell populations in Flow Cytometry data using non-parametric clustering and segmented-regression-based change point detection.  Note: R 2.11.0 or newer is required.")
     (license license:artistic2.0)))
+
+(define-public r-flowpeaks
+  (package
+    (name "r-flowpeaks")
+    (version "1.30.0")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (bioconductor-uri "flowPeaks" version))
+        (sha256
+          (base32
+            "1ncz7n6n39svi444yy29ip53398392s3m6z0h2a77rhcnzg456wy"))))
+    (properties `((upstream-name . "flowPeaks")))
+    (build-system r-build-system)
+    (inputs `(("gsl" ,gsl)))
+    (home-page
+      "https://bioconductor.org/packages/flowPeaks")
+    (synopsis
+      "An R package for flow data clustering")
+    (description
+      "This package provides a fast and automatic clustering to classify the cells into subpopulations based on finding the peaks from the overall density function generated by K-means.")
+    (license license:artistic2.0)))     ;TODO: artistic1.0 does not exist
+
-- 
2.21.0





Acknowledgement sent to zimoun <zimon.toutoune@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#36797; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 24 Jul 2019 19:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.